import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  vendorName: z.string(),
  websiteUrl: z.string(),
  loginUsername: z.string(),
  loginPassword: z.string()
}).strict();
export const ShoppingVendorCreateManyInputObjectSchema: z.ZodType<Prisma.ShoppingVendorCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorCreateManyInput>;
export const ShoppingVendorCreateManyInputObjectZodSchema = makeSchema();
